summaryrefslogtreecommitdiffstats
path: root/office/asymptote
diff options
context:
space:
mode:
author Johannes Schoepfer2016-10-26 06:51:29 +0200
committer Willy Sudiarto Raharjo2016-10-29 01:58:07 +0200
commit3fb19477bc39a259f6236b8defae9515fc98a578 (patch)
tree7783ea8004a99b144590336584ab76d45efaab58 /office/asymptote
parent04744744e9764b00780a906e22396b455151d2f5 (diff)
downloadslackbuilds-3fb19477bc39a259f6236b8defae9515fc98a578.tar.gz
office/asymptote: Added (The Vector Graphics Language)
This was formerly part of the texlive package. Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'office/asymptote')
-rw-r--r--office/asymptote/README6
-rw-r--r--office/asymptote/asymptote.SlackBuild107
-rw-r--r--office/asymptote/asymptote.info10
-rw-r--r--office/asymptote/slack-desc19
4 files changed, 142 insertions, 0 deletions
diff --git a/office/asymptote/README b/office/asymptote/README
new file mode 100644
index 0000000000..5c81751106
--- /dev/null
+++ b/office/asymptote/README
@@ -0,0 +1,6 @@
+Asymptote is a powerful descriptive vector graphics language that
+provides a natural coordinate-based framework for technical drawing.
+Labels and equations are typeset with LaTeX, for high-quality PostScript
+output.
+A major advantage of Asymptote over other graphics packages is that it
+is a programming language as opposed to just a graphics program.
diff --git a/office/asymptote/asymptote.SlackBuild b/office/asymptote/asymptote.SlackBuild
new file mode 100644
index 0000000000..774f624133
--- /dev/null
+++ b/office/asymptote/asymptote.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for asymptote
+
+# Copyright 2016 Johannes Schoepfer
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=asymptote
+VERSION=${VERSION:-2.38}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf asymptote-$VERSION
+tar vxf $CWD/asymptote-$VERSION.src.tgz
+cd asymptote-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/asymptote-$VERSION \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-gc=system \
+ --with-latex=/usr/share/texmf-dist/tex/latex \
+ --with-context=/usr/share/texmf-dist/tex/context \
+ --datarootdir=/usr/share/texmf-dist \
+ --build=$ARCH-slackware-linux
+
+make
+make check
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} +
+for links in $(find $PKG/usr/man -type l ) ; do ln -sf $( readlink $links ).gz $links.gz;rm $links;done
+
+cd $PKG/usr/info
+find . -type f -exec gzip -9 {} +
+for links in $(find . -type l ) ; do ln -sf $( readlink $links ).gz $links.gz;rm $links;done
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/asymptote/asymptote.info b/office/asymptote/asymptote.info
new file mode 100644
index 0000000000..2ca5c8c988
--- /dev/null
+++ b/office/asymptote/asymptote.info
@@ -0,0 +1,10 @@
+PRGNAM="asymptote"
+VERSION="2.38"
+HOMEPAGE="http://asymptote.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/asymptote/asymptote-2.38.src.tgz"
+MD5SUM="aca55728252777d58ad6eeb2ee550b10"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="texlive"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="<slackbuilds[at]schoepfer[dot]info>"
diff --git a/office/asymptote/slack-desc b/office/asymptote/slack-desc
new file mode 100644
index 0000000000..a1e2cc78d8
--- /dev/null
+++ b/office/asymptote/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The \"handy ruler\" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+asymptote: asymptote (The Vector Graphics Language)
+asymptote:
+asymptote: Asymptote is a powerful descriptive vector graphics language that
+asymptote: provides a natural coordinate-based framework for technical drawing.
+asymptote: Labels and equations are typeset with LaTeX, for high-quality
+asymptote: PostScript output.
+asymptote: A major advantage of Asymptote over other graphics packages is that
+asymptote: it is a programming language as opposed to just a graphics program.
+asymptote:
+asymptote: http://asymptote.sourceforge.net/
+asymptote: